@echo off
echo;
echo;
echo;
echo;
echo;
echo;
echo;
rem
rem Check to make sure user has the original Vancouvr.dat
rem 
rem
if not exist Vancouvr.dat goto needvan
rem
rem Make sure necessary files are present.
rem
if not exist files.zip goto nofile
if not exist unpack.exe goto needfile
if not exist pack.exe goto needfile
if not exist pkunzip.exe goto needpk
goto execute

:needvan
echo;
echo Couldn't locate the Vancouvr.dat file.  That
echo file is necessary to install the Klosterdorf-ring circuit.
goto end

:nofile
echo;
echo Couldn't locate files.zip.  This file is necessary to install
echo Klosterdorf-ring Circuit
echo;
goto end

:needfile
echo;
echo Couldn't locate Corey's pack & unpack utilities??  These files
echo must exist in the directory in order for this batch file
echo to work properly!!
goto end

:needpk
echo;
echo Couldn't locate PKUNZIP.exe.  This file is necessary to install 
echo the Klosterdorf-ring Circuit
goto end

:execute
Cls
echo.
echo.
echo Unpacking the Vancouvr.dat file...
echo;
unpack.exe Vancouvr.dat
del Vancouvr.dat
ren Vancouvr.trk kloster.trk
ren Vancouvr.scr kloster.scr
ren Vancouvr.cam kloster.cam
del *.3do
del *.srb
del *.mip
del *.mi4
del sunny.pcx
del cloudy.pcx
del Vancouvr.3do
del Vancouvr.pck
del sky.3do
del horiz.3do
pkunzip.exe files.zip
pack.exe kloster.pck
rem
echo;
echo;
goto cleanup

:cleanup
rem
echo;
echo Deleting stray files...
echo;
rem
del *.mi4
del *.mip
del *.trk
del *.scr
del *.pck
del *.srb
del *.3do
del *.cam
del *.pck
del *.exe
del *.zip
del cloudy.pcx
del sunny.pcx
goto finished 

:finished
cls
echo;
echo;
echo;
echo  ******************************************************
echo  *               Made exclusively for                 *
echo  *                                                    *
echo  *                     THE PITS                       *
echo  *                                                    *
echo  *                    Home of the                     *
echo  *                                                    *
echo  *         THE PITS TOURING CARS CHAMPIONSHIP         *
echo  *                                                    *
echo  *                 WWW.THEUSPITS.COM                  *
echo  *                                                    *
echo  *                   Dave Turman                      *
echo  *              kalebsgp@concentric.net               *
echo  *                                                    *
echo  ******************************************************
echo;
echo;
goto end

:end